import index = require("./index");
export declare class HelperMethod {
    originalName: string;
    wrapperMethodName: string;
    returnType: index.TypeModel;
    args: Arg[];
    meta: Meta;
    constructor(originalName: string, wrapperMethodName: string, returnType: index.TypeModel, args: Arg[], meta: Meta);
    targetWrappers(): string[];
    callArgs(): Arg[];
}
export interface Arg {
    name: string;
    type: index.TypeModel;
    defaultValue: any;
    optional: boolean;
}
export interface Meta {
    name?: string;
    comment?: string;
    override?: boolean;
    primary?: boolean;
    deprecated?: boolean;
}
export declare function flatten(t: index.TypeModel, namespaces?: {
    [key: string]: boolean;
}): string[];
export declare function getHelperMethods(srcPath: string): HelperMethod[];
